"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
class Configurer {
    constructor() {
        this.setupOptions();
    }
    setupOptions() {
        const version = '1.2.0';
        program
            .version(version, '-v, --version')
            .allowUnknownOption()
            .option('-a, --analysis [analysis]', 'Select folder to analyse')
            .option('-o, --output [output]', 'Select folder to output')
            .option('-t, --theme [theme]', 'Select report theme', /^(white|black)$/i, 'white')
            .parse(process.argv);
    }
    fetchData() {
        const userAnalysisFolder = program.analysis || '';
        const userOutputFolder = program.output || '';
        const userTheme = program.theme;
        return {
            analysisFolder: userAnalysisFolder,
            outputFolder: userOutputFolder,
            theme: userTheme
        };
    }
}
exports.Configurer = Configurer;
